package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Gad;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface GadMapper {

    int insert(Gad record);

    int insertSelective(Gad record);

    int updateByPrimaryKeySelective(Gad record);

    int updateByPrimaryKey(Gad record);

    int deleteByPrimaryKey(Gad record);

    int deleteByIds(Collection<Object> collection);

    Gad selectByPrimaryKey(Gad record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Gad> dyncRead(Map<String, Object> dyncMap);

    Gad selectGadByGidinr(Gad record);
}